"""add matching participants table

Revision ID: 35c441cc0b23
Revises: b5f7fd572324
Create Date: 2019-05-24 14:20:54.320447

"""

# revision identifiers, used by Alembic.
revision = '35c441cc0b23'
down_revision = 'b5f7fd572324'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('matching_participants',
    sa.Column('participant_id', sa.Integer(), nullable=False),
    sa.Column('matching_participant_id', sa.Integer(), nullable=False),
    sa.Column('status', sa.Integer(), nullable=True),
    sa.Column('comment', sa.String(), nullable=True),
    sa.ForeignKeyConstraint(['matching_participant_id'], ['participants.id'], ),
    sa.ForeignKeyConstraint(['participant_id'], ['participants.id'], ),
    sa.PrimaryKeyConstraint('participant_id', 'matching_participant_id')
    )
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('matching_participants')
    ### end Alembic commands ###
    iter_statements(DELETES)
