# -*- coding: utf-8 -*-
"""Add ringoeccourse

Revision ID: 834efd6094ae
Revises: f4781d0864f7
Create Date: 2016-09-20 11:55:46.984131

"""

# revision identifiers, used by Alembic.
revision = '834efd6094ae'
down_revision = 'f4781d0864f7'

from alembic import op
import sqlalchemy as sa


INSERTS = """INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('bb534b2c-e0f5-4b10-b7d6-c0a6166e6af0', 2009, 'eccourses', 'ringo_eccourse.model.Eccourse', 'eccourse', 'eccourse', '', '%s|name', 'hidden', NULL);
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('60af11a4-f621-4469-870f-4369aa10388d', 196, 2009, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('078c9367-133d-46a9-ac5e-5cd058c0ae95', 197, 2009, 'Create', 'create', ' icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('d155aa5d-10c8-4ab6-aee0-c85cd8edaf61', 198, 2009, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('4977eed3-f5ba-4a20-9693-bcc03a107596', 199, 2009, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('0db298a4-a2cf-443e-b3c3-3a2b67e1096c', 200, 2009, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('f530587e-561d-4fbf-aafc-4c93a3454969', 201, 2009, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('dfd414e1-b749-43d0-b51e-876593d7e5d7', 202, 2009, 'Delete', 'delete/{id}', 'icon-trash', '', true, 'primary', '');
"""

# Course data from BEWEC
ECCOURSES_INSERTS=u"""
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('eccourses',
    sa.Column('uuid', sa.CHAR(length=36), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('number', sa.String(), server_default='', nullable=True),
    sa.Column('name', sa.String(), server_default='', nullable=True),
    sa.Column('number_optional', sa.String(), server_default='', nullable=False),
    sa.Column('size', sa.Integer(), nullable=True),
    sa.Column('active', sa.Integer(), nullable=True),
    sa.Column('organisation', sa.Integer(), nullable=True),
    sa.Column('location', sa.String(), server_default='', nullable=False),
    sa.Column('federal_state', sa.Integer(), nullable=True),
    sa.Column('plz', sa.String(), server_default='', nullable=False),
    sa.Column('region_category', sa.Integer(), nullable=True),
    sa.Column('nuts3', sa.String(), server_default='', nullable=False),
    sa.Column('start_date', sa.Date(), nullable=True),
    sa.Column('end_date', sa.Date(), nullable=True),
    sa.Column('description', sa.Text(), server_default='', nullable=True),
    sa.Column('lecturer_firstname', sa.String(), server_default='', nullable=False),
    sa.Column('lecturer_lastname', sa.String(), server_default='', nullable=False),
    sa.Column('lecturer_email', sa.String(), server_default='', nullable=False),
    sa.Column('lecturer_phone', sa.String(), server_default='', nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    ### end Alembic commands ###
    iter_statements(INSERTS)
    iter_statements(ECCOURSES_INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('eccourses')
    ### end Alembic commands ###
    iter_statements(DELETES)
